From 909da9b613f1230741573bd9620c0781300d6c69 Mon Sep 17 00:00:00 2001
From: Jiri J <jirij.jabb@gmail.com>
Date: Fri, 2 Oct 2009 16:09:11 +0200
Subject: [PATCH] libbb: introduce monotonic_ms()

Signed-off-by: Jiri J <jirij.jabb@gmail.com>
---
 include/libbb.h |    1 +
 libbb/time.c    |   12 ++++++++++++
 2 files changed, 13 insertions(+), 0 deletions(-)

diff --git a/include/libbb.h b/include/libbb.h
index a02355c..20e0ea2 100644
--- a/include/libbb.h
+++ b/include/libbb.h
@@ -246,6 +246,7 @@ extern int *const bb_errno;
 
 unsigned long long monotonic_ns(void) FAST_FUNC;
 unsigned long long monotonic_us(void) FAST_FUNC;
+unsigned long long monotonic_ms(void) FAST_FUNC;
 unsigned monotonic_sec(void) FAST_FUNC;
 
 extern void chomp(char *s) FAST_FUNC;
diff --git a/libbb/time.c b/libbb/time.c
index b31683b..6a084c4 100644
--- a/libbb/time.c
+++ b/libbb/time.c
@@ -175,6 +175,12 @@ unsigned long long FAST_FUNC monotonic_us(void)
 	get_mono(&ts);
 	return ts.tv_sec * 1000000ULL + ts.tv_nsec/1000;
 }
+unsigned long long FAST_FUNC monotonic_ms(void)
+{
+	struct timespec ts;
+	get_mono(&ts);
+	return ts.tv_sec * 1000ULL + ts.tv_nsec/1000000;
+}
 unsigned FAST_FUNC monotonic_sec(void)
 {
 	struct timespec ts;
@@ -196,6 +202,12 @@ unsigned long long FAST_FUNC monotonic_us(void)
 	gettimeofday(&tv, NULL);
 	return tv.tv_sec * 1000000ULL + tv.tv_usec;
 }
+unsigned long long FAST_FUNC monotonic_ms(void)
+{
+	struct timeval tv;
+	gettimeofday(&tv, NULL);
+	return tv.tv_sec * 1000ULL + tv.tv_usec/1000;
+}
 unsigned FAST_FUNC monotonic_sec(void)
 {
 	return time(NULL);
-- 
1.6.3.3

